<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/Rifle/Winchester70.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/dc6/_winchester70_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Winchester70.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/dc6/_winchester70_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dd/d06/class_winchester70___base.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d06/class_winchester70___base.html">Winchester70_Base</a> : <a class="code hl_class" href="../../de/db8/class_bolt_action_rifle___inner_magazine___base.html">BoltActionRifle_InnerMagazine_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dd/d06/class_winchester70___base.html#a0542a6b9ec657f96741f49c2c5f90a8c">    3</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a> <a class="code hl_function" href="../../dd/d06/class_winchester70___base.html#a0542a6b9ec657f96741f49c2c5f90a8c">SpawnRecoilObject</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code hl_class" href="../../de/df2/class_winchester70_recoil.html">Winchester70Recoil</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>            </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    <span class="comment">//Debug menu Spawn Ground Special</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../dd/d06/class_winchester70___base.html#a909b4ff023c829b87f3ce8f3a06db7dc">   10</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d06/class_winchester70___base.html#a909b4ff023c829b87f3ce8f3a06db7dc">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        super.OnDebugSpawn();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(entity, <span class="keyword">this</span>) )</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;HuntingOptic&quot;</span> );  </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            entity.SpawnEntityOnGroundPos(<span class="stringliteral">&quot;Ammo_308Win&quot;</span>, entity.GetPosition());</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>};</div>
<div class="ttc" id="aclass_bolt_action_rifle___inner_magazine___base_html"><div class="ttname"><a href="../../de/db8/class_bolt_action_rifle___inner_magazine___base.html">BoltActionRifle_InnerMagazine_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_mosin9130_8c_source.html#l00005">Mosin9130.c:6</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_recoil_base_html"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html">RecoilBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00001">RecoilBase.c:2</a></div></div>
<div class="ttc" id="aclass_winchester70___base_html"><div class="ttname"><a href="../../dd/d06/class_winchester70___base.html">Winchester70_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc6/_winchester70_8c_source.html#l00001">Winchester70.c:2</a></div></div>
<div class="ttc" id="aclass_winchester70___base_html_a0542a6b9ec657f96741f49c2c5f90a8c"><div class="ttname"><a href="../../dd/d06/class_winchester70___base.html#a0542a6b9ec657f96741f49c2c5f90a8c">Winchester70_Base::SpawnRecoilObject</a></div><div class="ttdeci">override RecoilBase SpawnRecoilObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc6/_winchester70_8c_source.html#l00003">Winchester70.c:3</a></div></div>
<div class="ttc" id="aclass_winchester70___base_html_a909b4ff023c829b87f3ce8f3a06db7dc"><div class="ttname"><a href="../../dd/d06/class_winchester70___base.html#a909b4ff023c829b87f3ce8f3a06db7dc">Winchester70_Base::OnDebugSpawn</a></div><div class="ttdeci">override void OnDebugSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc6/_winchester70_8c_source.html#l00010">Winchester70.c:10</a></div></div>
<div class="ttc" id="aclass_winchester70_recoil_html"><div class="ttname"><a href="../../de/df2/class_winchester70_recoil.html">Winchester70Recoil</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/df6/_winchester70_recoil_8c_source.html#l00001">Winchester70Recoil.c:2</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_bce4da49836595f9a16952151be6b928.html">Rifle</a></li><li class="navelem"><a class="el" href="../../d8/dc6/_winchester70_8c.html">Winchester70.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
